Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.2.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractToolbar

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.AbstractToolbar

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

Direct Known Subclasses:
  UIToolbar

    public abstract class AbstractToolbar

extends javax.faces.component.UIComponentBase

The <rich:toolbar> component is a horizontal toolbar. Any JavaServer Faces (JSF) component can be added to the toolbar.

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`AbstractToolbar()`

Method Summary
`abstract String` | `getHeight()` A height of a bar in pixels.
`abstract String` | `getItemClass()` CSS style(s) to be applied when the item elements are rendered.
`abstract String` | `getItemSeparator()` A separator between items on a bar.
`abstract String` | `getItemStyle()` Space-separated list of CSS style class(es) to be applied when the item element is rendered.
`abstract String` | `getOnitemclick()` The client-side script method to be called when an item is clicked
`abstract String` | `getOnitemdblclick()` The client-side script method to be called when an item is double-clicked
`abstract String` | `getOnitemkeydown()` The client-side script method to be called when a key is pressed down over the element
`abstract String` | `getOnitemkeypress()` The client-side script method to be called when a key is pressed and released over an item
`abstract String` | `getOnitemkeyup()` The client-side script method to be called when a key is released
`abstract String` | `getOnitemmousedown()` The client-side script method to be called when a mouse button is pressed down over an item
`abstract String` | `getOnitemmousemove()` The client-side script method to be called when a pointer is moved within an item
`abstract String` | `getOnitemmouseout()` The client-side script method to be called when a pointer is moved away from an item
`abstract String` | `getOnitemmouseover()` The client-side script method to be called when a pointer is moved onto an item
`abstract String` | `getOnitemmouseup()` The client-side script method to be called when a mouse button is released over an item
`abstract String` | `getWidth()` A width of a bar that can be defined in pixels or as percentage.

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getFamily, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AbstractToolbar

    public AbstractToolbar()

Method Detail

### getHeight

    public abstract String getHeight()

  A height of a bar in pixels. If a height is not defined, a bar height depends of the "headerFontSize" skin parameter.

### getWidth

    public abstract String getWidth()

  A width of a bar that can be defined in pixels or as percentage.

  Default value is "100%".

### getItemClass

    public abstract String getItemClass()

  CSS style(s) to be applied when the item elements are rendered.

### getItemStyle

    public abstract String getItemStyle()

  Space-separated list of CSS style class(es) to be applied when the item element is rendered. This value must be passed through as the "class" attribute on generated markup.

### getItemSeparator

    public abstract String getItemSeparator()

  A separator between items on a bar. Possible values are "none", "line", "square", "disc" and "grid".

  Default value is "none".

### getOnitemclick

    public abstract String getOnitemclick()

  The client-side script method to be called when an item is clicked

### getOnitemdblclick

    public abstract String getOnitemdblclick()

  The client-side script method to be called when an item is double-clicked

### getOnitemmousedown

    public abstract String getOnitemmousedown()

  The client-side script method to be called when a mouse button is pressed down over an item

### getOnitemmouseup

    public abstract String getOnitemmouseup()

  The client-side script method to be called when a mouse button is released over an item

### getOnitemmouseover

    public abstract String getOnitemmouseover()

  The client-side script method to be called when a pointer is moved onto an item

### getOnitemmousemove

    public abstract String getOnitemmousemove()

  The client-side script method to be called when a pointer is moved within an item

### getOnitemmouseout

    public abstract String getOnitemmouseout()

  The client-side script method to be called when a pointer is moved away from an item

### getOnitemkeypress

    public abstract String getOnitemkeypress()

  The client-side script method to be called when a key is pressed and released over an item

### getOnitemkeydown

    public abstract String getOnitemkeydown()

  The client-side script method to be called when a key is pressed down over the element

### getOnitemkeyup

    public abstract String getOnitemkeyup()

  The client-side script method to be called when a key is released

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.2.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.